divert(-1)
dnl changecom(`;')

* utilitaires M4
define(`ALIAS', `define($1`_IP4', $2`'_IP4)')
define(`MAKE_GETTER', `define(`$1', $`'1`_'$`'0)')
MAKE_GETTER(`IP4')
MAKE_GETTER(`NAME')
define(`FQDN', `NAME($1).ZONE_DOMAIN')

* hébergeur : exolia.fr
define(`EXOLIA_IP4', `91.121.51.125')
define(`EXOLIA_MX_NAME', `mail.cyclocoop.org.')
define(`EXOLIA_SPF_IP4', `91.121.51.125')
define(`EXOLIA_SPF2_IP4', `188.165.221.54')

* hébergeur : gresille.org
define(`GRESILLE_IP4', `IP4(LOCAL)')
define(`GRESILLE_MX_NAME', `mx.ZONE_DOMAIN.')

* hébergeur : bonnard
define(`BONNARD_IP4', `109.190.88.123')

divert(0)dnl
$TTL 1d ; TTL (Time To Live) par défaut pour les enregistrements

; ENREGISTREMENT « SOA » (Start Of Authority).
@ SOA ns hostmaster (
	eval(643580325 + ZONE_SERIAL) ; Serial number.
	1d ; Refresh.
	15m ; Retry.
	2592000 ; Expire.
	1d ; TTL (Time To Live) minimum.
 )

; ENREGISTREMENTS « A » (DNS -> adresse IPv4)
@                   A IP4(GRESILLE)
3615                A IP4(GRESILLE)
adhesions-paris     A IP4(BONNARD)
agendav             A IP4(GRESILLE)
autoconfig          A IP4(GRESILLE)
caldavzap           A IP4(GRESILLE)
burette             A IP4(GRESILLE)
davical             A IP4(GRESILLE)
forum               A IP4(GRESILLE)
ftp                 A IP4(GRESILLE)
git                 A IP4(GRESILLE)
ivry.garradin       A IP4(GRESILLE)
pantin.garradin     A IP4(GRESILLE)
paris20.garradin    A IP4(GRESILLE)
imap                A IP4(GRESILLE)
irc                 A IP4(GRESILLE)
letabli             A IP4(GRESILLE)
mail                A IP4(GRESILLE)
mx                  A IP4(GRESILLE)
notifications       A IP4(GRESILLE)
ns                  A IP4(GRESILLE)
nuage               A IP4(GRESILLE)
pop                 A IP4(GRESILLE)
roundcube           A IP4(GRESILLE)
smtp                A IP4(GRESILLE)
sql                 A IP4(GRESILLE)
ssh                 A IP4(GRESILLE)
submission          A IP4(GRESILLE)
sympa               A IP4(GRESILLE)
vote                A IP4(GRESILLE)
wiki                A IP4(GRESILLE)
www                 A IP4(GRESILLE)

; ENREGISTREMENTS « CNAME » (Canonical NAME)
; NOTE : l'utilisation de CNAME n'est judicieuse que si la ressource pointée
; n'est pas sous notre contrôle. Par exemple,
; foo.example.org. CNAME foo.example.com.
; Dans le cas contraire, le seul résultat est un traffic réseau accru,
; et l'emploi de macros est préférable.
; ```You keep using CNAME records. I do not think they mean what you think they mean.'''
media               CNAME devlibre.net.
compta-paris        CNAME adhesions-paris.cyclocoop.org.

; ENREGISTREMENTS « MX » (Mail eXchange)
; NOTE : le reverse et le forward associés au nom donné à un enregistrement MX
; devraient correspondre. Certains antispams le vérifient, et certains (rares) admins
; bloquent même au niveau de la session SMTP si il ne correspond pas.
@ 180 MX 5 NAME(GRESILLE_MX)
;@ MX 10 NAME(EXOLIA_MX)

; ENREGISTREMENTS « NS » (Name Server)
@ NS ns
@ NS ns2.exolia.net.
;@ NS ns6.gandi.net.

; ENREGISTREMENTS "PTR" (IPv* -> name)
; NOTE : Dans le cas d’hébergement massif de domaines virtuels derrière une même adresse IP,
;        il est recommandé de ne pas appliquer sans discernement la règle un enregistrement PTR
;        par enregistrement A (ou AAAA) : le nombre des champs PTR à renvoyer pouvant faire dépasser
;        à la réponse la taille des paquets UDP et entraîner l’utilisation du protocole TCP
;        (plus coûteux en resources) pour envoyer la réponse à la requête DNS ;
;        cf. section "4.4 Usage and deployment considerations" du document :
;        http://tools.ietf.org/html/draft-ietf-dnsop-reverse-mapping-considerations

; ENREGISTREMENT "SPF" (Sender Policy Framework)
@ 3600 IN TXT "v=spf1 mx ip4:IP4(GRESILLE) ~all"

; ENREGISTREMENTS « SRV » (SeRVice)
_git._tcp.git 18000 IN SRV 0 0 9418 git

; ENREGISTREMENTS « SSHFP » (Secure SHell FingerPrint)
esyscmd(sudo ssh-keygen -r @)

; key#2 4096 bits, i=cyclocoop, d=cyclocoop.org, /var/lib/amavis/dkim/cyclocoop.org.pem
cyclocoop._domainkey.cyclocoop.org.     3600 TXT (
  "v=DKIM1; p="
  "MIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEA0hYR4wl1rH+RhuoMBAll"
  "AkY/YJQbXHQ+0eXGI4THktcNuKuvxuyNXcq+o3Pyz7biJaPSWQW0ZDz20xTvpM31"
  "4y3xa9ZS5ABeqQA6WayQvxfalF8eaQYA/5hsgO9UlLECzuZNVzhKhW/c1FmQvn+q"
  "ZaULOjoOdk7TOCQkY6k/WUp/Dgh6lR0ae0a2P8v5mF0+yyO6GCD0mYOh+LVIWpuW"
  "4Yw8/H7P1chZPEH0BfsBWjyPdCV+LuE8uOAfV1/IX42JFHhk5WufkZAccGHlcvOT"
  "OlRwywGcVv7l/e3g34/VvSoXRyQnIAcfJ3PjbggOKD4wV37dkS1MSd4DQ5g5nU68"
  "3Zq36yOWTmkdf/JkFiWZilzhMHtfjK/IhHAXD04h/fTA28qF16tvvMbq4emnIYXo"
  "qF7w5Lm262Klk3iSDJiuz+XQy5lA+oYKT3UtUe/JycRy/jioTnsRAjyPLYVUkJUu"
  "1h0eLcEUcvG+HtGfeCo3RCUf5q947ujNk3CzKkGIa/XNu6L5hxT6OQVaeKFXEZk8"
  "kPLr1FQGfQY07BXai65KukU0Q8VY0HaTdzcDOwuE9tkBlJj4J+gMBikNEiyNrEnn"
  "OzrypOmanHGp117X1t9CxwXuYBIs788pHtvuJ9UZllKXEmUSl60kyUtnttOqX7Qj"
  "emmAFmAiiICeYBnefMdMtZ8CAwEAAQ==")
